--
-- $Id$
--
-- Er bestaat een bedrijf en een persoon met key 3. Daarom wordt de persoon (GAST) verwijderd.

DEFINE thisfile = 'PCHD#55066.SQL'
DEFINE dbuser   = '^PCH'
DEFINE custid   = '^PCH'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

update prs_bedrijfadres tgt
  SET tgt.prs_bedrijfadres_url = (select prs_bedrijfadres_url
                  from prs_bedrijfadres b
                  where tgt.prs_bedrijf_key = b.prs_bedrijf_key AND b.mld_typeopdr_key is null AND b.PRS_BEDRIJFADRES_TYPE = 'O')
        where tgt.MLD_TYPEOPDR_KEY = 721;
                 
        

        
INSERT INTO prs_bedrijfadres (PRS_BEDRIJF_KEY,
                              PRS_BEDRIJFADRES_TYPE,
                              PRS_BEDRIJFADRES_URL)
    SELECT badr.PRS_BEDRIJF_KEY, 'B', badr.PRS_BEDRIJFADRES_URL
      FROM prs_bedrijf b, prs_bedrijfadres badr
     WHERE     b.prs_bedrijf_leverancier = 1
           AND badr.PRS_BEDRIJF_KEY = b.PRS_BEDRIJF_KEY
           AND badr.MLD_TYPEOPDR_KEY IS NULL
           AND badr.prs_bedrijfadres_type = 'O'
           AND badr.prs_bedrijf_key NOT IN
                   (SELECT prs_bedrijf_key
                      FROM prs_bedrijfadres
                     WHERE prs_bedrijfadres_type = 'B');


BEGIN adm.systrackscriptid('$Id$'); END;
/

COMMIT;

SPOOL OFF